# Uses of Class
org.eclipse.birt.chart.event.LineRenderEvent

Packages that use LineRenderEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of LineRenderEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type LineRenderEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`drawLine(LineRenderEvent lre)`
`void`
IPrimitiveRenderer.`drawLine(LineRenderEvent lre)`
This method is responsible for drawing a line on the target rendering device's graphic context.

## Uses of LineRenderEvent in org.eclipse.birt.chart.event

Subclasses of LineRenderEvent in org.eclipse.birt.chart.event
Modifier and Type
Class
Description
`final class`
`Line3DRenderEvent`
A rendering event type for rendering 3D Line object.

## Uses of LineRenderEvent in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return types with arguments of type LineRenderEvent
Modifier and Type
Method
Description
`List<LineRenderEvent>`
DeferredCache.`getAllConnectionLines()`
Returns all cached connection lines.
Methods in org.eclipse.birt.chart.render with parameters of type LineRenderEvent
Modifier and Type
Method
Description
`void`
DeferredCache.`addConnectionLine(LineRenderEvent lre)`
Adds marker connection line rendering event to cache.
`void`
DeferredCache.`addLine(LineRenderEvent lre)`
Adds line rendering event to cache.